/* 
 * File:   16C84_MF.c
 * Author: q242695
 *
 * Created on 21. Juni 2013, 18:21
 *
 * Tests all PORTx Pins
 */

//#include <stdio.h>
//#include <stdlib.h>
#include <xc.h>

#ifndef _XTAL_FREQ
#define _XTAL_FREQ 1000000
#endif

#pragma config FOSC =  LP, WDTE = OFF, PWRTE = ON//, CP = OFF
//#define FOSC _XTAL_FREQ

/*
 *
 */
int main(int argc, char** argv) {
    TRISA=0x00;     // all outputs
    TRISB=0x00;     // all outputs
    while(1)        // Run Forever
    {
      PORTA=0x55;
      PORTB=0x55;
      __delay_ms(250);
      PORTA=0xaa;
      PORTB=0xaa;
      __delay_ms(250);
    }
    return (0); // EXIT_SUCCESS
}
